VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig:

## Avaliable Methods
public method | get_role ()
public method | set_fullname ()
public method | get_email ()
public method | set_role ()
public method | set_username ()
public method | set_email ()
public method | get_username ()
public method | get_fullname ()
public method | new ()
public method | get_status ()
public method | set_status ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig` class Structure that defines a new user configuration for CLI.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::get_email | ( |  | ) |

Gets the value of 'email' property.

Return values

  email | - The current value of the field. email of the local account String#

Code:
click to view
# Number of lines of code in get_email: 4
sub get_email {
my ($self, %args) = @_;
return $self->{'email'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::get_fullname | ( |  | ) |

Gets the value of 'fullname' property.

Return values

  fullname | - The current value of the field. User full name String#

Code:
click to view
# Number of lines of code in get_fullname: 4
sub get_fullname {
my ($self, %args) = @_;
return $self->{'fullname'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::get_role | ( |  | ) |

Gets the value of 'role' property.

Return values

  role | - The current value of the field. User roles UserRole#

Code:
click to view
# Number of lines of code in get_role: 4
sub get_role {
my ($self, %args) = @_;
return $self->{'role'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::get_status | ( |  | ) |

Gets the value of 'status' property.

Return values

  status | - The current value of the field. Enabled status of the local account UserAccountStatus#

Code:
click to view
# Number of lines of code in get_status: 4
sub get_status {
my ($self, %args) = @_;
return $self->{'status'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::get_username | ( |  | ) |

Gets the value of 'username' property.

Return values

  username | - The current value of the field. User login name String#

Code:
click to view
# Number of lines of code in get_username: 4
sub get_username {
my ($self, %args) = @_;
return $self->{'username'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{username} = $args{'username'};
$self->{role} = $args{'role'};
$self->{fullname} = $args{'fullname'};
$self->{status} = $args{'status'};
$self->{email} = $args{'email'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.localaccounts.user.user_config');
$self->set_binding_field('key' => 'username', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'role', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Localaccounts', 'type_name' => 'User::UserRole'));
$self->set_binding_field('key' => 'fullname', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Localaccounts', 'type_name' => 'User::UserAccountStatus'));
$self->set_binding_field('key' => 'email', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::set_email | ( |  | ) |

Sets the given value for 'email' property.

Parameters

  email | - New value for the field. email of the local account

Code:
click to view
# Number of lines of code in set_email: 5
sub set_email {
my ($self, %args) = @_;
$self->{'email'} = $args{'email'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::set_fullname | ( |  | ) |

Sets the given value for 'fullname' property.

Parameters

  fullname | - New value for the field. User full name

Code:
click to view
# Number of lines of code in set_fullname: 5
sub set_fullname {
my ($self, %args) = @_;
$self->{'fullname'} = $args{'fullname'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::set_role | ( |  | ) |

Sets the given value for 'role' property.

Parameters

  role | - New value for the field. User roles

Code:
click to view
# Number of lines of code in set_role: 5
sub set_role {
my ($self, %args) = @_;
$self->{'role'} = $args{'role'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::set_status | ( |  | ) |

Sets the given value for 'status' property.

Parameters

  status | - New value for the field. Enabled status of the local account

Code:
click to view
# Number of lines of code in set_status: 5
sub set_status {
my ($self, %args) = @_;
$self->{'status'} = $args{'status'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::UserConfig::set_username | ( |  | ) |

Sets the given value for 'username' property.

Parameters

  username | - New value for the field. User login name

Code:
click to view
# Number of lines of code in set_username: 5
sub set_username {
my ($self, %args) = @_;
$self->{'username'} = $args{'username'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Localaccounts/User.pm